Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.util
Class ResourceConfigurationProvider

    java.lang.Object
      org.apache.axis.configuration.FileProvider
          com.jaspersoft.jasperserver.ws.util.ResourceConfigurationProvider

All Implemented Interfaces:
  org.apache.axis.EngineConfiguration, org.apache.axis.WSDDEngineConfiguration

    public class ResourceConfigurationProvider

extends org.apache.axis.configuration.FileProvider

Version:
  $Id: ResourceConfigurationProvider.java 9821 2007-08-29 18:17:55Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class org.apache.axis.configuration.FileProvider
`log`

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`ResourceConfigurationProvider(java.lang.String resourceName)`

Method Summary
`void` | `writeEngineConfig(org.apache.axis.AxisEngine engine)`

Methods inherited from class org.apache.axis.configuration.FileProvider
`configureEngine, getDeployedServices, getDeployment, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getRoles, getService, getServiceByNamespaceURI, getTransport, getTypeMappingRegistry, setDeployment, setInputStream, setSearchClasspath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceConfigurationProvider

    public ResourceConfigurationProvider(java.lang.String resourceName)

Method Detail

### writeEngineConfig

    public void writeEngineConfig(org.apache.axis.AxisEngine engine)

  Specified by:
    `writeEngineConfig` in interface `org.apache.axis.EngineConfiguration`
  Overrides:
    `writeEngineConfig` in class `org.apache.axis.configuration.FileProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.